Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.crosswire.bibledesktop.book
Enum BibleComboBoxModel.Level

    java.lang.Object
      java.lang.Enum<BibleComboBoxModel.Level>
          org.crosswire.bibledesktop.book.BibleComboBoxModel.Level

All Implemented Interfaces:
  Serializable, Comparable<BibleComboBoxModel.Level>

Enclosing class:
  BibleComboBoxModel

    protected static enum BibleComboBoxModel.Level

extends Enum<BibleComboBoxModel.Level>

The level of the book combo.

Enum Constant Summary
`BOOK` For when the we are a book level combo
`CHAPTER` For when the we are a chapter level combo
`VERSE` For when the we are a verse level combo

Method Summary
`static BibleComboBoxModel.Level` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static BibleComboBoxModel.Level[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### BOOK

    public static final BibleComboBoxModel.Level BOOK

  For when the we are a book level combo

### CHAPTER

    public static final BibleComboBoxModel.Level CHAPTER

  For when the we are a chapter level combo

### VERSE

    public static final BibleComboBoxModel.Level VERSE

  For when the we are a verse level combo

Method Detail

### values

    public static BibleComboBoxModel.Level[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (BibleComboBoxModel.Level c : BibleComboBoxModel.Level.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static BibleComboBoxModel.Level valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¨ 2003-2015
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD